export type TuitioLoginResponse = { result: { token: string; expiresIn: number; validUntil: Date } | null; error: string | null };
export type TuitioLogoutResponse = { result: { userId: number; userName: string; logoutDate: Date } | null; error: string };
export type TuitioState = { token: string | null; validUntil: Date | null; userName: string | null };

export type TuitioUserContactOption = {
  id: number;
  contactTypeCode: string;
  contactTypeName: string;
  contactValue: string;
};

export type TuitioUserInfo = {
  userId: number;
  userName: string;
  firstName: string;
  lastName: string;
  email?: string;
  profilePictureUrl?: string;
  securityStamp: string;
  creationDate: Date;
  failedLoginAttempts?: number;
  lastLoginDate?: Date;
  claim?: object;
  contactOptions?: [TuitioUserContactOption];
};

export type TuitioTokenData = {
  tokenId: string;
  userId: number;
  userName: string;
  firstName: string;
  lastName: string;
  email?: string;
  profilePictureUrl?: string;
  securityStamp: string;
  lockStamp: string;
  createdAt?: Date;
  expiresIn?: number;
  claim?: object;
};
